linear.cpp File Reference
`#include "test/float.hh"`
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Test::Float::Linear::FloatFloat
| Test linear relation over float variables More...
class | Test::Float::Linear::FloatVar
| Test linear relation over float variables More...
class | Test::Float::Linear::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Float
| Testing domain floats.
namespace | Test::Float::Linear
| Tests for linear constraints

## Functions

bool | Test::Float::Linear::one (const Gecode::FloatValArgs &a)
| Check whether has only one coefficients.

## Variables

Create | Test::Float::Linear::c